<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/TypeAnalysis/Visitor.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/Visitor.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/TypeAnalysis/Visitor.hh</h1><div><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><p>No includes.</p>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Synopsis::TypeAnalysis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Array.html" >Array</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >BuiltinType</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html" >CVType</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html" >Class</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Enum.html" >Enum</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Function.html" >Function</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html" >Pointer</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" >PointerToMember</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Reference.html" >Reference</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" >Type</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Union.html" >Union</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Visitor</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::TypeAnalysis::Visitor</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lArray_S_r" >visit&#40;Array*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lBuiltinType_S_r" >visit&#40;BuiltinType*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lCVType_S_r" >visit&#40;CVType*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lClass_S_r" >visit&#40;Class*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lEnum_S_r" >visit&#40;Enum*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lFunction_S_r" >visit&#40;Function*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointer_S_r" >visit&#40;Pointer*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointerToMember_S_r" >visit&#40;PointerToMember*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lReference_S_r" >visit&#40;Reference*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lType_S_r" >visit&#40;Type*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lUnion_S_r" >visit&#40;Union*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#_tVisitor_l_r" >~Visitor&#40;&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces</h3>
<div class="item"><a href="../../../Scopes/Synopsis.html" >Synopsis</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces in Synopsis</h3>
<div class="item"><a href="../../../Scopes/Synopsis/TypeAnalysis.html" >TypeAnalysis</a>
<div class="doc"></div></div>
</div>

</body>
</html>
